Skip to main content
GET
NFTs Collection Historical Chart Data by Contract Address

Notes

  • Auto-granularity:
    • 1–14 days = 5-minutely data
    • 15 days and above = daily data (00:00 UTC)
Solana NFTs and Art Blocks are not supported. Use NFTs Collection Historical Chart Data by ID instead.
The last completed UTC day (00:00) is available 5 minutes after midnight (00:05 UTC).

SDK Examples

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Path Parameters

asset_platform_id
string
default:ethereum
required

Asset platform ID. *refers to /asset_platforms.

contract_address
string
default:0xBd3531dA5CF5857e7CfAA92426877b022e612cf8
required

Contract address of the NFT collection.

Query Parameters

days
string
default:1
required

Data up to number of days ago. Valid values: any integer or max

Response

200 - application/json

NFT collection historical chart data

floor_price_usd
number[][]
required

NFT collection floor price in USD as [timestamp, price] pairs

floor_price_native
number[][]
required

NFT collection floor price in native currency as [timestamp, price] pairs

h24_volume_usd
number[][]
required

NFT collection 24h volume in USD as [timestamp, volume] pairs

h24_volume_native
number[][]
required

NFT collection 24h volume in native currency as [timestamp, volume] pairs

market_cap_usd
number[][]
required

NFT collection market cap in USD as [timestamp, market_cap] pairs

market_cap_native
number[][]
required

NFT collection market cap in native currency as [timestamp, market_cap] pairs